class MultiComponentSystem
  
  # This description should appear in the component docs
  # @component first
  class FirstComponent
  end
  
  # This description should also appear in the component docs
  # @component second
  class SecondComponent
  end
  
  # @component first
  # @component second
  class UseBothComponents
  end
  
  # This description should not appear in the component docs
  class Integration
    # This method description should appear in "first" component docs
    # @component first
    def interact_with_first_component
    end
    
    # This method description should appear in "second" component docs
    # @component second
    def interact_with_second_component
    end
  end
end